Debian Bug report logs - #268126
ITA: tex4ht -- LaTeX and TeX for Hypertext (HTML)

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Thu, 26 Aug 2004 08:18:04 UTC

Owned by: Kapil Hari Paranjape <kapil@imsc.res.in>

Severity: normal

Fixed in version tex4ht/20050216.2023-1

Done: Kapil Hari Paranjape <kapil@imsc.res.in>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Juhapekka Tolvanen <juhtolv@cc.jyu.fi>, <wnpp@debian.org>:
Bug#268126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Juhapekka Tolvanen <juhtolv@cc.jyu.fi>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Andrew Gray <ajpg@debian.org>
Subject: O: tex4ht -- LaTeX and TeX for Hypertext (HTML)
Date: Thu, 26 Aug 2004 10:14:03 +0200
Package: wnpp
Severity: normal

The current maintainer of tex4ht, Andrew Gray <ajpg@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Note that Juhapekka Tolvanen <juhtolv@cc.jyu.fi> is maybe interested (or maybe
not) in taking over this package, he is not a DD though.

Some information about this package:

Package: tex4ht
Binary: tex4ht
Version: 20030426-2
Priority: optional
Section: tex
Maintainer: Andrew Gray <ajpg@debian.org>
Build-Depends: libkpathsea-dev, debhelper
Architecture: any
Standards-Version: 3.5.9
Format: 1.0
Directory: pool/main/t/tex4ht
Files: 6ff68de4e6fa09b5d3d41c25dec48d0a 570 tex4ht_20030426-2.dsc
 a4e53841278016f491266af64c3bd760 1018513 tex4ht_20030426.orig.tar.gz
 612d8b2f5718c8a0051117c75928f925 17314 tex4ht_20030426-2.diff.gz

Package: tex4ht
Priority: optional
Section: tex
Installed-Size: 9944
Maintainer: Andrew Gray <ajpg@debian.org>
Architecture: i386
Version: 20030426-2
Depends: tetex-bin, libc6 (>= 2.3.1-1), libkpathsea3 (>= 2.0.2-3)
Recommends: imagemagick | netpbm, gs
Filename: pool/main/t/tex4ht/tex4ht_20030426-2_i386.deb
Size: 908746
MD5sum: c058cfcd8e87915fcb30e63f9c0b95d0
Description: LaTeX and TeX for Hypertext (HTML)
 TeX4ht is a highly configurable TeX-based authoring system for producing
 hypertext. It interacts with TeX-based applications through style files and
 postprocessors, leaving the processing of the source files to the native TeX
 compiler. Consequently, TeX4ht can handle the features of TeX-based systems
 in general, and of LaTeX in particular.
 .
 TeX4ht can be used both for authoring HTML using TeX/LaTeX input files, or
 for converting existing TeX input files (in any format) into HTML, with
 (usually) only minor modifications.  Other varieties of hypertext can also be
 produced, including XML, XHTML, MathML and the openoffice.org format of XML.
 .
 You will need ghostscript plus the imagemagick suite of programs to convert
 from graphics in DVI files, as output by TeX (via postscript) to GIF, PNG or
 JPEG files.  Alternatively, you could use ghostscript and programs from the
 netpbm package after adjusting TeX4ht's configuration.

Justification: Last seen May 2003, 130 day old RC bug, no ping response in 6
weeks



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#268126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to frank@kuesterei.ch (Frank Küster):
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 268126@bugs.debian.org (full text, mbox):

From: frank@kuesterei.ch (Frank Küster)
To: Juhapekka Tolvanen <juhtolv@cc.jyu.fi>
Cc: 268126@bugs.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Subject: Re: O: tex4ht -- LaTeX and TeX for Hypertext (HTML)
Date: Fri, 27 Aug 2004 10:24:30 +0200
Jeroen van Wolffelaar <jeroen@wolffelaar.nl> wrote:

> Note that Juhapekka Tolvanen <juhtolv@cc.jyu.fi> is maybe interested (or maybe
> not) in taking over this package, he is not a DD though.

Juhapekka, just ask on debian-tetex-maint - somebody, probably me, will
be a good candidate for a sponsor.

Regards, Frank
-- 
Frank Küster, Biozentrum der Univ. Basel
Abt. Biophysikalische Chemie




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#268126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Juhapekka Tolvanen <juhtolv@iki.fi>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 268126@bugs.debian.org (full text, mbox):

From: Juhapekka Tolvanen <juhtolv@cc.jyu.fi>
To: Frank Küster <frank@kuesterei.ch>, 268126@bugs.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Subject: Re: O: tex4ht -- LaTeX and TeX for Hypertext (HTML)
Date: Fri, 27 Aug 2004 17:14:27 +0300
On Fri, 27 Aug 2004, +16:58:32 EEST (UTC +0300),
Frank Küster <frank@kuesterei.ch> pressed some keys:

> 
> Jeroen van Wolffelaar <jeroen@wolffelaar.nl> wrote:
> 
> > Note that Juhapekka Tolvanen <juhtolv@cc.jyu.fi> is maybe interested (or maybe
> > not) in taking over this package, he is not a DD though.
> 
> Juhapekka, just ask on debian-tetex-maint - somebody, probably me, will
> be a good candidate for a sponsor.

It is true that I am not a Debian Developer. But I should be doing my
Master's Thesis instead of that Debian package. I have never created
Debian package before.


-- 
Juhapekka "naula" Tolvanen * * http colon slash slash iki dot fi slash juhtolv
"kun aamun veitsi taivaan halkaisee, valo repii huoneen rikki, hajalle. kielen
paksuus täyttää koko saastaisen suun. kasvot kuivaa savea ja lantaa."      CMX



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#268126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Vassilii Khachaturov <vassilii@tarunz.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 268126@bugs.debian.org (full text, mbox):

From: Vassilii Khachaturov <vassilii@tarunz.org>
To: Isaac Jones <ijones@syntaxpolice.org>
Cc: 294459@bugs.debian.org, <268126@bugs.debian.org>, <244276@bugs.debian.org>
Subject: Re: Bug#294459: HTML manual generated by a broken tex4ht install
Date: Sat, 12 Feb 2005 23:31:09 +0200 (IST)
> This sounds like a bug in tex4ht, right?  I can't alter that package
> to fix this file and make that build-depends from within the darcs
> package.  I think that tex4ht is orphaned in Debian?  Maybe I could
> try to do an NMU...

tex4ht is indeed orphaned; I've added the corresponding WNPP O:
bug #268126 to the CC list. If you consider an NMU, or if you
could adopt it, you'll be blessed by many.

The latest upstream fixes a ton of other bugs,
see http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=tex4ht

The upstream was asked by Debian to provide literate sources
(see #244276 tex4ht: source code is obfuscated), and the thing
was marked as a serious policy violation. The upstream
took a considerable effort to do so and provide them at his site, and
his efforts were never acknowledged -- instead the package got
orphaned :( just another b/g info on why it's probably high time
to do an NMU.

vassilii




Changed Bug title. Request was from Kapil Hari Paranjape <kapil@imsc.res.in> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Kapil Hari Paranjape <kapil@imsc.res.in>. Request was from Kapil Hari Paranjape <kapil@imsc.res.in> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kapil Hari Paranjape <kapil@imsc.res.in>:
Bug#268126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Isaac Jones <ijones@syntaxpolice.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kapil Hari Paranjape <kapil@imsc.res.in>. Full text and rfc822 format available.

Message #29 received at 268126@bugs.debian.org (full text, mbox):

From: Isaac Jones <ijones@syntaxpolice.org>
To: kapil@imsc.res.in
Cc: Vassilii Khachaturov <vassilii@tarunz.org>, 268126@bugs.debian.org
Subject: tex4ht sponsorship
Date: Wed, 16 Feb 2005 10:07:21 -0800
I would be happy to sponsor someone taking over this package!  I will
sing your praises if you get it into sarge.

I don't know much about latex, but I have a package that depends on
this package, and I can see a number of the problems with it, so I can
check that they're fixed.  Let me know :)


peace,

  isaac



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kapil Hari Paranjape <kapil@imsc.res.in>:
Bug#268126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Vassilii Khachaturov <vassilii@tarunz.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kapil Hari Paranjape <kapil@imsc.res.in>. Full text and rfc822 format available.

Message #34 received at 268126@bugs.debian.org (full text, mbox):

From: Vassilii Khachaturov <vassilii@tarunz.org>
To: kapil@imsc.res.in
Cc: Isaac Jones <ijones@syntaxpolice.org>, <268126@bugs.debian.org>
Subject: Re: tex4ht sponsorship
Date: Wed, 16 Feb 2005 21:18:12 +0200 (IST)
> I would be happy to sponsor someone taking over this package!  I will
> sing your praises if you get it into sarge.

And I will be happy to beta-test any unstable version you'd like me to.
Just drop me a note if any testing is needed.

V.




Reply sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 268126-close@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@imsc.res.in>
To: 268126-close@bugs.debian.org
Subject: Bug#268126: fixed in tex4ht 20050216.2023-1
Date: Mon, 28 Feb 2005 05:17:21 -0500
Source: tex4ht
Source-Version: 20050216.2023-1

We believe that the bug you reported is fixed in the latest version of
tex4ht, which is due to be installed in the Debian FTP archive:

tex4ht_20050216.2023-1.diff.gz
  to pool/main/t/tex4ht/tex4ht_20050216.2023-1.diff.gz
tex4ht_20050216.2023-1.dsc
  to pool/main/t/tex4ht/tex4ht_20050216.2023-1.dsc
tex4ht_20050216.2023-1_i386.deb
  to pool/main/t/tex4ht/tex4ht_20050216.2023-1_i386.deb
tex4ht_20050216.2023.orig.tar.gz
  to pool/main/t/tex4ht/tex4ht_20050216.2023.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 268126@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kapil Hari Paranjape <kapil@imsc.res.in> (supplier of updated tex4ht package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 18 Feb 2005 08:11:44 +0530
Source: tex4ht
Binary: tex4ht
Architecture: source i386
Version: 20050216.2023-1
Distribution: unstable
Urgency: low
Maintainer: Kapil Hari Paranjape <kapil@imsc.res.in>
Changed-By: Kapil Hari Paranjape <kapil@imsc.res.in>
Description: 
 tex4ht     - LaTeX and TeX for Hypertext (HTML)
Closes: 219346 219726 229362 229569 234678 244276 254049 256834 268126
Changes: 
 tex4ht (20050216.2023-1) unstable; urgency=low
 .
   * New maintainer. Closes: #268126.
   * New upstream version (2005-02-16 20:23). Closes: #256834,
     #234678, #229362, #219726.
   * Organisation of files in the source package has changed
     somewhat; e.g. literate source files are included; see
     /usr/share/doc/tex4ht/README.src for details. Closes: #244276
   * Added CFLAG to the Makefile to fix default graphics type to PNG.
     Closes: #219346.
   * Fixed typo in package description. Closes: #254049.
   * Added dvipng method for conversion. The ghostscript method
     depends on version >= 8.14. The dvipng method is now the default
     as it was my suggestion :-). Closes: #229569.
   * Changed the file copyright to include LPPL v1.3 in place of v1.0.
     This is the new upstream license.
   * Changed erroneous execute permissions on data files under
    "/usr/share/texmf".
   * Fixed some typos in the html documentation.
   * Added a symlink to the html documentation under the doc
     directory.
   * Fixed the "#!" line in script "/usr/bin/mk4ht". Also modified
     temp/Makefile to handle this perl script.
   * Bumped standards version to 3.6.1 (no changes required).
   * Included the validation scripts from upstream in "/usr/share/tex4ht".
     The relevant instructions are in README.validate.
   * Upload sponsored by Frank Küster <frank@debian.org>
Files: 
 472cffe8936dafd4ba6aebadf7883053 603 tex optional tex4ht_20050216.2023-1.dsc
 6e56c93cfbd22347d088a41f1df95f78 2446126 tex optional tex4ht_20050216.2023.orig.tar.gz
 dd475c520f1faa227f7206405188ca71 24686 tex optional tex4ht_20050216.2023-1.diff.gz
 37b48c3af08d41debda955830647f458 1151918 tex optional tex4ht_20050216.2023-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFCHbm5+xs9YyJS+hoRAm9jAKCYSRvpywFqHXMs8cFVx/rJ42RCwwCfZiU0
3kpIvztbUsn67A2STO4W3k8=
=WCgu
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:38:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.